package net.jieyuu.biz;

import lombok.extern.slf4j.Slf4j;
import net.jieyuu.CouponApplication;
import net.jieyuu.model.CouponRecordMessage;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@RunWith(SpringRunner.class)
@SpringBootTest(classes = CouponApplication.class)
@Slf4j
public class DemoApplicationTests {

    @Autowired
    private RabbitTemplate rabbitTemplate;

    @Test
    public void send() {
        rabbitTemplate.convertAndSend("coupon.event.exchange", "coupon.release.delay.routing.key", "this is ");

    }

    @Test
    public void testCouponRecordRelease() {
        CouponRecordMessage message = new CouponRecordMessage();
        message.setOutTradeNo("123456abc");
        message.setTaskId(1l);
        rabbitTemplate.convertAndSend("coupon.event.exchange", "coupon.release.delay.routing.key", message);
    }

}