package net.jieyuu.service;

import net.jieyuu.request.CartItemRequest;
import net.jieyuu.vo.CartItemVO;
import net.jieyuu.vo.CartVO;

import java.util.List;

public interface CartService {
    /**
     * 添加商品到购物车
     *
     * @param cartItemRequest
     */
    public void addToCart(CartItemRequest cartItemRequest);

    /**
     * 清空购物车
     */
    void clear();

    /**
     * 查看购物车
     *
     * @return
     */
    CartVO getMyCart();

    /**
     * 删除购物项
     *
     * @param productId
     */
    void deleteItem(long productId);

    /**
     * 修改购物车商品数量
     *
     * @param cartItemRequest
     */
    void changeItemNum(CartItemRequest cartItemRequest);

    /**
     * 用于订单服务，确认订单，获取对应的商品项详情信息
     * 会清空购物车商品数据
     *
     * @param productIdList
     * @return
     */
    List<CartItemVO> confirmOrderCartItems(List<Long> productIdList);
}
